Page 1 of 15 12311 ... LastLast
Results 1 to 10 of 142

Thread: Aircrack 0.9.1 or 1.0 Dev for Alfa AWUS036H (drivers already patched)

  1. #1
    Junior Member
    Join Date
    Nov 2006
    Posts
    66

    Default Aircrack 0.9.1 or 1.0 Dev for Alfa AWUS036H (drivers already patched)

    *Update 01st/Oct/2007 - Included latest aircrack 0.9.1 (svn772) version (with new v5 alfa patch)
    ALSO!! NEW Aircrack 1.0 DevBeta1 (Svn 772) (with new v5 alfa patch)


    Ok I can't be bothered with a long explaination, but if you have the Alfa AWUS036H you'll know how good a card it is.

    Although it is supported by default in BT2, there have been some excellent improvements for it made over the past few weeks. Also, aircrack-suite 0.9 has also a lot of improvements and works really well with the long range of the alfa.

    We have finally found out that if you wish to run BT2 with the alfa in a Virtual Machine, you'll need VMWARE 6 or greater. There is a major problem using the alfa with VMWARE 5.

    Therefore, to give back to the community, I've done some donkey work for you. I've compiled everything needed for you, and created a couple of module files that can very easily be added to the BT2 ISO.

    The instructions are simple.

    1) Download the zip file below and UNZIP it. You should see 3 files ending in .lzm

    2) Use Ultraiso (or similar ISO program) to open the original bt2final.iso DO NOT USE A PREVIOUSLY MODIFIED ISO! GO BACK AND USE THE ORIGINAL!

    3) Drag the 3 (4 for the 1.0 Dev version) module files into the BT/modules folder. (DON'T mistakenly put the zip file here....just the extracted files)

    4) Save the NEW iso as something like bt2finalwithalfa.iso

    5) Either burn to CD or run in a vmware machine! (>VMWARE 6)

    I trust someone finds it useful.








    There are now two download lists. One for the 0.9.1 verison, the other for the 1.0 Dev version. Scroll down to take your pick.




    List for the 0.9.1 Version of Aircrack. Newest version always first one in this list.

    *Update 01/Oct/2007
    This includes the new v5 patch for the alfa, and the latest svn aircrack (0.9.1 svn772).
    http://rapidshare.com/files/59606135...alfa_patch.zip

    *Update 29/Sep/2007
    This includes the new v5 patch for the alfa, and the latest svn aircrack (0.9.1 svn736).
    http://rapidshare.com/files/59052997...alfa_patch.zip

    *Update 26/Jun/2007
    This includes the new v4 patch for the alfa, and the latest svn aircrack (0.9.1 svn499) if you want to use the last stable one, use aircrack module file from the 25/jun/07 zip.
    http://rapidshare.com/files/39447558....9.1svn499.zip

    25/Jun/2007
    This includes the latest Alpha patch for BT2, and also the latest aircrack release (0.9.1 released today)
    http://rapidshare.com/files/39340496...suite0.9.1.zip

    1/Jun/2007
    CLICK HERE for pilotsnipes_BT2_alfapatch_v4_and_airsuite0.9_svn45 2incsource.zip

    11/April/2007
    Not really recommended. Some people have said that this only works for them. Frankly I don't know why they'd want them but!
    http://rapidshare.com/files/31441435...irsuite0.9.zip






    List for the 1.0 DEV Version of Aircrack. Newest version always first one in this list.

    *Update 01/Oct/2007
    This includes the new v5 patch for the alfa, and the latest svn aircrack for the 1.0 DEV verison (1.0 DEV svn772).
    http://rapidshare.com/files/59606484...alfa_patch.zip

    *Update 29/Sep/2007
    This includes the new v5 patch for the alfa, and the latest svn aircrack for the 1.0 DEV verison (1.0 DEV svn736).
    http://rapidshare.com/files/59053410...alfa_patch.zip

  2. #2
    ALFA-Romeo
    Guest

    Default

    thanks for your work!
    The Aircrack-suite works fine, but the new driver looks buggy. As soon i try to change the mac my backtrack crashes...

    ifconfig wlan0 down
    rmmod r8187 && modprobe r8187
    ifconfig wlan0 hw ether 00:11:22:33:44:55

    after this it just looks like the "Return"-Key is pressed...the Console Window is growing down and the whole System is going instable.

    Btw: I´ve tried under VM & Real Hardware

    Anyone else got similar Problems??

  3. #3
    Junior Member
    Join Date
    Feb 2007
    Posts
    72

    Default

    I did!
    Thank you!

  4. #4
    Junior Member
    Join Date
    Nov 2006
    Posts
    66

    Default

    Yes I think you are right - sometimes it crashes my machine too when I change the MAC.

    I believe the guys over at aircrack-ng are working on a new version. When that is released I'll update my file.

  5. #5
    Just burned his ISO
    Join Date
    Mar 2006
    Posts
    6

    Default

    Thanks for your help once again

    Will aircrack 0.9 work with BT2 final and the built in airoscript ? or does this need updating to ?

  6. #6
    Moderator theprez98's Avatar
    Join Date
    Jan 2010
    Location
    Maryland
    Posts
    2,533

    Default

    Quote Originally Posted by Shoom View Post
    Thanks for your help once again

    Will aircrack 0.9 work with BT2 final and the built in airoscript ? or does this need updating to ?
    Aircrack-ng v0.9 works with BT2. You might have to tweak the script to get it to work.
    "\x74\x68\x65\x70\x72\x65\x7a\x39\x38";

  7. #7
    Junior Member
    Join Date
    Nov 2006
    Posts
    66

    Default

    Just released the new improved v4 of the patch for the ALFA.

    Also compiled svn452 of aircrack0.9.


    Follow the same instructions as post 1, if you DO NOT have the alfa YOU CAN still use the first file only to update aircrack on your ISO image.

    Latest version is always found in post 1.

  8. #8
    ALFA-Romeo
    Guest

    Default

    Thanks for the new modules!

    Somehow i cannot associate to the Accesspoints i could in the past (with older driver).....how do you fake-auth?

    with the new aircrack-ng-module i cannot run kismet anymore....it stops during loading-process with a message like this "packetsource not...." this happen only to me??


    best regards,

    a (mostly) happy ALFA-User

  9. #9
    Moderator theprez98's Avatar
    Join Date
    Jan 2010
    Location
    Maryland
    Posts
    2,533

    Default

    Quote Originally Posted by ALFA-Romeo View Post
    with the new aircrack-ng-module i cannot run kismet anymore....it stops during loading-process with a message like this "packetsource not...." this happen only to me??
    You need to edit your /etc/kismet/kismet.conf file to reflect the correct source.
    Code:
    source=type,interface,name[,channel]
    "\x74\x68\x65\x70\x72\x65\x7a\x39\x38";

  10. #10
    Junior Member
    Join Date
    Nov 2006
    Posts
    66

    Default

    Quote Originally Posted by ALFA-Romeo View Post
    Thanks for the new modules!

    Somehow i cannot associate to the Accesspoints i could in the past (with older driver).....how do you fake-auth?

    Ah interesting that you are having this problem as well!

    See this thread from my post no.40 onwards:
    http://tinyshell.be/aircrackng/forum...10257#msg10257

    The easy way to fix it (which until tonight I believed was just my system) is to run the script

    sh wlan0up

    to bring the card up.

    However this is not included with my module files above. So I've just gone and added a new extra module to the zip file.

    PLEASE REDOWNLOAD the zip file, and this time extract the three files inside and place them in the iso as before.

    When you launch BT2, start a terminal. In the /root directory (default when you open a terminal window) you will now see a folder called rtl8187_linux_26.1010.0622.2006

    do the following commands:

    cd rtl8187_linux_26.1010.0622.2006
    sh wlan0up

    Insert your card and all will be fixed.

Page 1 of 15 12311 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •